[Yum] openssl update problem

mw at csi.hu mw at csi.hu
Sat Jan 17 03:23:54 UTC 2004


On Fri, Jan 16, 2004 at 09:51:02PM -0500, seth vidal wrote:
> On Fri, 2004-01-16 at 21:48, mw at csi.hu wrote:
> > After I updated my RH 9 system to Fedore Core 1, I get
> > 
> > # yum update
> > Traceback (most recent call last):
> >   File "/usr/bin/yum", line 22, in ?
> >     import yummain
> >   File "yummain.py", line 21, in ?
> >   File "clientStuff.py", line 25, in ?
> >   File "pkgaction.py", line 25, in ?
> >   File "rpmUtils.py", line 9, in ?
> >   File "urlgrabber.py", line 21, in ?
> >   File "/usr/lib/python2.2/urllib2.py", line 101, in ?
> >     import ftplib
> >   File "/usr/lib/python2.2/ftplib.py", line 68, in ?
> >     all_errors = (Error, socket.error, IOError, EOFError)
> > AttributeError: 'module' object has no attribute 'error'
> > 
> > I have found that if I revert back to RH 9's (updated) openssl, all is
> > well, so now I have
> > 
> > # grep openssl /etc/yum.conf
> > exclude=openssl*
> > 
> > Is there a better solution?
> 
> You're not upgrading everything.
> You need to make sure you upgrade kerberos too, iirc.

I got the above error after I had run

yum upgrade

I have

# rpm -q krb5-libs
krb5-libs-1.3.1-6
krb5-libs-1.2.7-14

So for some reason krb5-libs-1.2.7-14 stayed.  Removing it, and manually 
updating  openssl solved my problem.

Thx,

Mate

-- 
---
Mate Wierdl | Dept. of Math. Sciences | University of Memphis  
Please avoid sending me Word or PowerPoint attachments.
See http://www.fsf.org/philosophy/no-word-attachments.html



More information about the Yum mailing list